Bug 66926 - corrupted rpm database
corrupted rpm database
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
http://trutwins.homeip.net/rpm.tar.gz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-18 15:22 EDT by Josh Trutwin
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-20 11:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error messages while attempting to apply fix (5.00 KB, text/plain)
2002-06-20 11:14 EDT, Josh Trutwin
no flags Details

  None (edit)
Description Josh Trutwin 2002-06-18 15:22:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4.1) Gecko/20020508
Netscape6/6.2.3

Description of problem:
> I needed to upgrade a server with MySQL 2.23.51, this required glibc2.2
> and RPM 4.x and a bunch of other stuff.  After doing rpm -Uvh *.rpm I
> received a message: free list corrupt (3713288)- please run "rpm
> --rebuilddb".  Did this, but it doesn't appear to have worked.  Anyone
> on this list know what I can do???
> More details below, please let me know if further info is needed.
>
> here are all the RPM's that need to be installed.  Lot of older
> existing packages required the older db stuff...
> [root MySQL]# ls -1
> MySQL-3.23.51-1.i386.rpm
> MySQL-Max-3.23.51-1.i386.rpm
> MySQL-client-3.23.51-1.i386.rpm
> MySQL-devel-3.23.51-1.i386.rpm
> MySQL-shared-3.23.51-1.i386.rpm
> bzip2-1.0.2-4.i386.rpm
> bzip2-libs-1.0.2-4.i386.rpm
> db2-2.4.14-5mdk.i586.rpm
> db3-3.3.11-6.i386.rpm
> db3-devel-3.3.11-6.i386.rpm
> db4-4.0.14-8.i386.rpm
> db4-devel-4.0.14-8.i386.rpm
> glibc-2.2.5-34.i386.rpm
> glibc-common-2.2.5-34.i386.rpm
> glibc-devel-2.2.5-34.i386.rpm
> gmp-4.1-1.i386.rpm
> libbz2-1.0.1-7cl.i386.rpm
> libexpat1_95-1.95.2-2mdk.i586.rpm
> ncurses-5.2-8.i386.rpm
> ncurses-devel-5.2-8.i386.rpm
> openssl-0.9.6b-2.i586.rpm
> perl-5.00503-12.i386.rpm
> perl-MD5-1.7-12mdk.i586.rpm
> python-2.2.1-8.i386.rpm
> python-devel-2.2.1-8.i386.rpm
> readline-4.2-2.i386.rpm
> readline-devel-4.2-2.i386.rpm
> rpm-4.1-0.26.i386.rpm
> rpm-build-4.1-0.26.i386.rpm
> rpm-devel-4.1-0.26.i386.rpm
> rpm-python-4.1-0.26.i386.rpm
>
> Tried install next, but got this odd message:
>
> [root MySQL]# rpm -Uvh *.rpm
> error: failed dependencies:
> rpmlib(PartialHardlinkSets) <= 4.0.4-1 is needed by
> glibc-common-2.2.5-34        rpmlib(PartialHardlinkSets) <=
> 4.0.4-1 is needed by python-2.2.1-8
>
> google search on this error suggested just forcing the install.  so...
>
> [root MySQL]# rpm -Uvh --nodeps *.rpm
> file /etc/nsswitch.conf from install of glibc-2.2.5-34 conflicts with
> file from package cobalt_nsswitch-1.0-1C1file /lib/libdb.so conflicts
> between attemped installs of db4-devel-4.0.14-8 and
> db3-devel-3.3.11-6file /usr/include/db.h conflicts between attemped
> installs of db4-devel-4.0.14-8 and db3-devel-3.3.11-6file
> /usr/lib/libdb_cxx.so conflicts between attemped installs of
> db4-devel-4.0.14-8 and db3-devel-3.3.11-6file /usr/lib/libbz2.so.1
> conflicts between attemped installs of libbz2-1.0.1-7cl and
> bzip2-libs-1.0.2-4file /usr/lib/perl5/5.00503/CGI.pm from install of
> perl-5.00503-12 conflicts with file from package CGI.pm-2.56-1file
> /usr/lib/perl5/5.00503/CGI/Apache.pm from install of perl-5.00503-12
> conflicts with file from package CGI.pm-2.56-1file
> /usr/lib/perl5/5.00503/CGI/Carp.pm from install of perl-5.00503-12
> conflicts with file from package CGI.pm-2.56-1file
> /usr/lib/perl5/5.00503/CGI/Cookie.pm from install of perl-5.00503-12
> conflicts with file from package CGI.pm-2.56-1file
> /usr/lib/perl5/5.00503/CGI/Fast.pm from install of perl-5.00503-12
> conflicts with file from package CGI.pm-2.56-1file
> /usr/lib/perl5/5.00503/CGI/Switch.pm from install of perl-5.00503-12
> conflicts with file from package CGI.pm-2.56-1file
> /usr/lib/perl5/5.00503/i386-linux/auto/Data/Dumper/Dumper.so from
> install of perl-5.00503-12 conflicts with file from package
> Data-Dumper-2.101-1file /usr/lib/perl5/5.00503/i386-linux/perllocal.pod
> from install of perl-5.00503-12 conflicts with file from package
> Authen-PAM.pm-0.04-1 Made a backup of /etc/nsswitch.conf, then did:
>
> [root MySQL]# rpm -Uvh --nodeps --replacefiles *.rpm
> Giving mysqld a couple of seconds to exit nicely
> MySQL
> ##################################################Installing all
> prepared tables 020617 15:00:23  /usr/sbin/mysqld: Shutdown Complete
>
>
> PLEASE REMEMBER TO SET A PASSWORD FOR THE MySQL root USER !
> This is done with:
> /usr/bin/mysqladmin -u root -p password 'new-password'
> /usr/bin/mysqladmin -u root -h www.fastconcepts.tv -p password
> 'new-password' See the manual for more instructions.
>
> NOTE:  If you are upgrading from a MySQL <= 3.22.10 you should run the
> /usr/bin/mysql_fix_privilege_tables. Otherwise you will not be able to
> use the new GRANT command!
>
> Please report any problems with the /usr/bin/mysqlbug script!
>
> The latest information about MySQL is available on the web at
> http://www.mysql.com
> Support MySQL by buying support/licenses at https://order.mysql.com
>
> Starting mysqld daemon with databases from /var/lib/mysql
> MySQL-Max
> ##################################################020617 15:00:30
> mysqld ended
>
> Giving mysqld a couple of seconds to restart
> Starting mysqld-max daemon with databases from /var/lib/mysql
> MySQL-client
> ##################################################MySQL-devel
> ##################################################cannot remove
> /usr/lib/mysql - directory not empty MySQL-shared
> ##################################################bzip2
> ##################################################glibc-common
> ##################################################warning:
> /etc/ld.so.conf created as /etc/ld.so.conf.rpmnew warning:
> /etc/localtime created as /etc/localtime.rpmnew
> glibc
> ##################################################cannot remove
> /usr/share/locale/en_US - directory not empty cannot remove
> /usr/share/locale/de_AT/LC_MESSAGES - directory not empty cannot remove
> /usr/share/locale/de_AT - directory not empty
> bzip2-libs
> ##################################################db2
> ##################################################db3
> ##################################################db3-devel
> ##################################################db4
>
> ##################################################db4-devel
> ##################################################glibc-devel
> ##################################################gmp
>
> ##################################################libbz2
> ##################################################libexpat1_95
> ##################################################ncurses
>
> ##################################################ncurses-devel
> ##################################################openssl
> ##################################################perl
>
> ##################################################perl-MD5
> ##################################################package
> perl-MD5 not listed in name index package Development/Languages not
> listed in group index
> package MD5.so not listed in providesfile index
> package MD5.3 not listed in file index
> package MD5.pm not listed in file index
> package MD5 not listed in file index
> package .packlist not listed in file index
> package MD5.bs not listed in file index
> package MD5.so not listed in file index
> package autosplit.ix not listed in file index
> python
> ##################################################cannot remove
> /usr/lib/python1.5 - directory not empty python-devel
> ##################################################readline
> ##################################################readline-devel
> ##################################################rpm
>
> ##################################################free list corrupt
> (3713288)- please run
> "rpm --rebuilddb"
> More information is available from http://www.rpm.org or the
> rpm-list@redhat.com mailing listif "rpm --rebuilddb" fails to correct
> the problem.
>
> Oh oh...  Tried rpm --rebuilddb.  No output, so tried:
>
> [root rpm]# rpm --rebuilddb -vv
> D: rebuilding database /var/lib/rpm into /var/lib/rpmrebuilddb.2739 D:
> creating directory /var/lib/rpmrebuilddb.2739
> D: opening old database with dbapi 3
> D: opening  db environment /var/lib/rpm/Packages create:cdb:mpool
> D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
> D: locked   db index       /var/lib/rpm/Packages
> D: opening new database with dbapi 3
> D: opening  db environment /var/lib/rpmrebuilddb.2739/Packages
> create:mpool D: opening  db index
> /var/lib/rpmrebuilddb.2739/Packages create mode=0x42D: closed   db
> index       /var/lib/rpm/Packages
> D: closed   db environment /var/lib/rpm/Packages
> D: removed  db environment /var/lib/rpm/Packages
> D: closed   db index       /var/lib/rpmrebuilddb.2739/Packages
> D: closed   db environment /var/lib/rpmrebuilddb.2739/Packages
> D: removed  db environment /var/lib/rpmrebuilddb.2739/Packages
> D: verified db index       /var/lib/rpmrebuilddb.2739/Packages
> D: removing directory /var/lib/rpmrebuilddb.2739
>
> This seems to have done something, but rpm -qa prints out nothing,
> tried:
>
> [root rpm]# rpm -q -a -vv
> D: opening  db environment /var/lib/rpm/Packages create:cdb:mpool
> D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
> D: locked   db index       /var/lib/rpm/Packages
> D: closed   db index       /var/lib/rpm/Packages
> D: closed   db environment /var/lib/rpm/Packages
> D: removed  db environment /var/lib/rpm/Packages
>
> [root rpm]# ls -al /var/lib/rpm
> drwxr-xr-x   2 rpm      rpm          1024 Jun 17 15:33 .
> drwxr-xr-x  10 root     root         1024 Jun 17 15:33 ..
> -rw-r--r--   1 root     root        12288 Jun 17 15:04 Basenames
> -rw-r--r--   1 root     root        12288 Jun 17 15:33 Packages
> -rw-r--r--   1 root     root        12288 Jun 17 15:04 Providename
> -rw-r--r--   1 root     root        16384 Jun 17 14:56
> conflictsindex.rpm -rw-r--r--   1 root     root      1323008 Jun 17
> 15:02 fileindex.rpm -rw-r--r--   1 root     root        16384 Jun 17
> 15:02 groupindex.rpm -rw-r--r--   1 root     root        16384 Jun 17
> 15:02 nameindex.rpm -rw-r--r--   1 root     root      7671688 Jun 17
> 15:02 packages.rpm -rw-r--r--   1 root     root        49152 Jun 17
> 15:02 providesindex.rpm -rw-r--r--   1 root     root        49152 Jun
> 17 15:02 requiredby.rpm -rw-r--r--   1 root     root        16384 Jun
> 17 15:02 triggerindex.rpm
>
> Any ideas???  Am I SOL?
>
> Server is i586 Cobalt Linux, kernel 2.2.16C28_III



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
see description


Actual Results:  see description

Expected Results:  see description

Additional info:

see description
Comment 1 Josh Trutwin 2002-06-20 11:14:40 EDT
Created attachment 61864 [details]
Error messages while attempting to apply fix

Note You need to log in before you can comment on or make changes to this bug.